/*
    PROGRAM:    mailscan

    FILE:       config.h

    Author:	Hans-Georg Franke (hansgeorgfranke@yahoo.de)

    This file is part of OpenMailScan.

    OpenMailScan is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    OpenMailScan is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with MailScan (see license.txt); if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
    */

//Domino includes
#include <global.h>
#include <stdnames.h>
#include <nsfdb.h>
#include <nif.h>
#include <osmisc.h>
#include <osenv.h>
#include <osfile.h>
#include <osmem.h>
#include <addin.h>
#include <mailserv.h>

#define false (0 == 1)
#define true (1 == 1)

extern DBHANDLE		hdb[10];
extern WORD		nrMailboxes;

extern char		DATADIR[MAXPATH];
extern char		sconfigview[256];
extern char		sconfigdatabase[MAXPATH];
extern char		environdatabase[MAXPATH];
extern char		ssearchconfigure[256];
extern char		workdir[MAXPATH];

extern char	virscanner[256];
extern char	virparm[256];
extern BOOL scandirectory;

#define PARAMCOUNT	9 // ReturnCodes 0 to 8 plus Error!

extern LONG rc[PARAMCOUNT +1 ];
extern char virscan[PARAMCOUNT +1 ][256];
extern BOOL isbefore[PARAMCOUNT +1 ];
extern int  removefile[PARAMCOUNT +1];
extern char removetext[PARAMCOUNT +1 ][256];
extern char removemail[PARAMCOUNT +1 ][256];
extern char bodytext[PARAMCOUNT +1 ][256];

//Function Prototypes
void loadConfig(void);
STATUS searchMailboxes(void);
void setDefaults(void);
