#
#  makefile for mailscan
#
#    PROGRAM:    mailscan
#
#    FILE:       mswin32.mak
#
#    Author:	Hans-Georg Franke (hansgeorgfranke@yahoo.de)
#
#    This file is part of OpenMailScan.
#
#    OpenMailScan is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    OpenMailScan is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with MailScan (see license.txt); if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


# Standard Windows 32-bit make definitions
!include <ntwin32.mak>

cpuflags = /Zp
outfilename = nmailscan

# Update the executable file if necessary
$(outfilename).exe: addin.obj log.obj config.obj processnote.obj fileTools.obj
	$(link) $(linkdebug) $(conflags) addin.obj log.obj config.obj processNote.obj fileTools.obj notes0.obj notesai0.obj \
		$(conlibs) notes.lib user32.lib -out:$(outfilename).exe

# Update the object file if necessary.
addin.obj : addin.c
	$(cc) $(cdebug) $(cflags) $(cvars) $(cpuflags) /DNT addin.c

log.obj : log.c
	$(cc) $(cdebug) $(cflags) $(cvars) $(cpuflags) /DNT log.c

config.obj : config.c
	$(cc) $(cdebug) $(cflags) $(cvars) $(cpuflags) /DNT config.c

processNote.obj : processNote.c
	$(cc) $(cdebug) $(cflags) $(cvars) $(cpuflags) /DNT processNote.c

fileTools.obj : fileTools.c
	$(cc) $(cdebug) $(cflags) $(cvars) $(cpuflags) /DNT fileTools.c
