/*
    PROGRAM:    mailscan

    FILE:       processNote.h

    Author:	Hans-Georg Franke (hansgeorgfranke@yahoo.de)

    This file is part of OpenMailScan.

    OpenMailScan is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    OpenMailScan is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with MailScan (see license.txt); if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
    */

#include <global.h>
#include <stdnames.h>
#include <nsfdb.h>
#include <nif.h>
#include <osmisc.h>
#include <osenv.h>
#include <osfile.h>
#include <osmem.h>
#include <addin.h>
#include <mailserv.h>

STATUS LNPUBLIC Processnote (void far * phDB, DWORD NoteID);
STATUS processRC(int rc, NOTEHANDLE hNote);
STATUS processDelete(int rcode, NOTEHANDLE hNote, char szFileName[MAXPATH], BLOCKID bidAttachment, DBHANDLE hDB);
STATUS processSubject(NOTEHANDLE hNote, BOOL isbefore, char virscan[256], int rc);
STATUS processBody(NOTEHANDLE hNote, char bodytext[256], int n);


STATUS  LNCALLBACK  ProcessOneCDRecord(
                                    char   *RecordPtr,
                                    WORD    RecordType, 
                                    DWORD   RecordLength, 
                                    void   *pvoidContext );

#define OVERFLOWSIZE				((DWORD)1024*40)   /* appx. 40K */
#define MAX_BODY_ITEMS_TO_DELETE	125
#define MAX_BODY_VALUES_TO_APPEND	(2*MAX_BODY_ITEMS_TO_DELETE)
#define PARA_STYLE_ID 1


typedef struct _ConvertContext
{
    BOOL        fUseBody2;              /* TRUE means overflow into Body2 */
    BYTE       *pNewBody;               /* top of buffer holding new body */
    BYTE       *pNewBodyCurrPos;        /* where to put next CD record */
    DWORD       dwNewBodyLen;           /* allocated length of new body */
    BYTE       *pNewBody2;              /* top of buffer holding overflow */
    BYTE       *pNewBody2CurrPos;       /* where to put next overflow CD */
    DWORD       dwNewBody2Len;          /* max length of overflow body */
	char		szFileName[MAXPATH];
	char		szOrigFileName[MAXPATH];
	int			rcode;
}   CONVERTCONTEXT;

/* Body Value data structure. This structure contains the information
   NSFItemAppendByBLOCKID needs to append the new body items to the
   response notes. The function ExportLinks() defines an array of structures
   of type BODYVALUE. Used to pass information between ExportLinks() and
   ProcessOneBodyItem().
*/
typedef struct _NewBodyValue
{
    BLOCKID bid;
    DWORD   dwLen;
}   BODYVALUE;
