/*
    PROGRAM:    mailscan

    FILE:       fileTools.c

    Author:	Hans-Georg Franke (hansgeorgfranke@yahoo.de)

    This file is part of OpenMailScan.

    OpenMailScan is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    OpenMailScan is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with MailScan (see license.txt); if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
    */

#if defined(LINUX)
extern "C" {
#endif

#include <stdio.h>
#include <string.h>
#include <stdlib.h>

#include <stdnames.h>
#include <global.h>
#include <nsfdb.h>

#include "fileTools.h"

#if defined (NT)
  BOOL rmDirectory(char szDirectory[MAXPATH])
  {
    char 	szBuffer[MAXPATH+MAXPATH];
    memset(szBuffer,'\0',sizeof(szBuffer));
    sprintf(szBuffer,"rmdir /Q /S %s", szDirectory);
    system(szBuffer);
    return(TRUE);
  }
  BOOL cleanDirectory(char szDirectory[MAXPATH])
  {
    char 	szBuffer[MAXPATH+MAXPATH];
    memset(szBuffer,'\0',sizeof(szBuffer));
    sprintf(szBuffer,"del /S /Q /F %s\\*.*", szDirectory);
    system(szBuffer);
    return(TRUE);
  }

#else
  BOOL rmDirectory(char szDirectory[MAXPATH])
  {
    char 	szBuffer[MAXPATH+MAXPATH];
    sprintf(szBuffer,"rm -rf %s", szDirectory);
    system(szBuffer);
    return(TRUE);
  }

  BOOL cleanDirectory(char szDirectory[MAXPATH])
  {
    char 	szBuffer[MAXPATH+MAXPATH];
    sprintf(szBuffer,"rm -f %s/*", szDirectory);
    system(szBuffer);
    return(TRUE);
  }

#endif

#if defined(LINUX)
}
#endif
