/*
    PROGRAM:    mailscan

    FILE:       mailscan.c

    Author:	Hans-Georg Franke (hansgeorgfranke@yahoo.de)

    This file is part of OpenMailScan.

    OpenMailScan is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    OpenMailScan is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with MailScan (see license.txt); if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
    */


#ifndef _EXTMAILH
#define _EXTMAILH
#endif

#if defined(NT)
#include <windows.h>
#else
inline char* strupr( char* str )
{
    char* orig = str;
    // process the string
    for ( ; *str != '\0'; str++ )
        *str = toupper(*str);
    return orig;
}

inline char* strlwr( char* str )
{
    char* orig = str;
    // process the string
    for ( ; *str != '\0'; str++ )
        *str = tolower(*str);
    return orig;
}
#endif

#include <string.h>
#include <stdio.h>

/*
	LOTUS C API FOR DOMINO AND NOTES HEADER FILES
*/

#include <global.h>
#include <event.h>
#include <kfm.h>
#include <nsfnote.h>
#include <nsferr.h>
#include <nsfdb.h>
#include <nsfdata.h>
#include <nsfnote.h>
#include <osmisc.h>
#include <addin.h>
#include <misc.h>
#include <ostime.h>
#include <extmgr.h>
#include <osfile.h>

/*============ GLOBAL DEFINITIONS =========================*/

/* Log file containing output from sample */

#define _HGF_SEMAPHORE_LINUX 71215572
#define SEGSIZE 100

//#define DLL_EXPORT	__declspec( dllexport )
#define WRITE_PERMISSION			"w+"
#define APPEND_PERMISSION			"a+"
#define READ_PERMISSION		        "r"
#define DLL_EXPORT

/*---------------------------------------------------------
	PLATFORM SPECIFIC MACROS FOR FILE AND MEMORY FUNCTIONS
-----------------------------------------------------------*/
#if defined(NT)
#define DLL_IMPORT_PREFIX       __declspec (dllimport)
#define DLL_EXPORT_PREFIX       __declspec (dllexport)
#define DLL_IMPORT_INFIX
#define DLL_EXPORT_INFIX
#else
#define DLL_IMPORT_PREFIX
#define DLL_EXPORT_PREFIX
#define DLL_IMPORT_INFIX
#define DLL_EXPORT_INFIX
#endif

/* Memory Allocation */
#define __AllocateMemory(__sz)				malloc( __sz )
#define __FreeMemory(__ptr)				free( __ptr )
#define __sprintf					sprintf


/* File Managment */
#define __FILE 						FILE
#define __OpenFile( _fn, _perm )		        fopen(_fn, _perm )
#define __CloseFile( _file )			        fclose( _file )
#define __WriteLine( _buf, _file )		        fwrite( _buf, strlen(_buf), 1, _file )
#define __FileError(_file)				ferror(_file)
#define __ReadLine( _buf, _len, _f )			fgets( _buf, _len, _f )
#define __FileSeek( _file, _offset, _whence )		fseek( _file, _offset, _whence )

/*======================= LOCAL FUNCTION PROTOTYES ========================*/
STATUS LNPUBLIC FAR EMHandlerProcMailScan( EMRECORD FAR * pExRecord);
DLL_EXPORT_PREFIX STATUS LNPUBLIC DLL_EXPORT_INFIX MainEntryPoint (void);
DLL_EXPORT_PREFIX STATUS LNPUBLIC DLL_EXPORT_INFIX ExtClear (void);
STATUS DeregisterEntries();
STATUS RegisterEntries();
void removesem();
STATUS testAttachment( HANDLE hNote);
