#
#  makefile for mailscan
#
#    PROGRAM:    mailscan
#
#    FILE:       mswin32.mak
#
#    Author:	Hans-Georg Franke (hansgeorgfranke@yahoo.de)
#
#    This file is part of OpenMailScan.
#
#    OpenMailScan is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    OpenMailScan is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with MailScan (see license.txt); if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


# Standard Windows 32-bit make definitions
!include <ntwin32.mak>

cpuflags = -Zp
outfilename = nmailscan
defname = mswin32

all : $(outfilename).DLL

$(outfilename).DLL : mailscan.OBJ log.OBJ $(defname).DEF
    $(link) $(linkdebug) \
        -dll -def:$(defname).DEF \
         -entry:_DllMainCRTStartup$(DLLENTRY) \
         -out:$(outfilename).DLL \
        mailscan.OBJ log.OBJ \
        $(guilibs) notes.lib

mailscan.OBJ : mailscan.H mailscan.C
    $(cc) $(cdebug) $(cflags) $(cpuflags) -Ow -DNT $(cvars) mailscan.C

log.OBJ : log.H log.C
    $(cc) $(cdebug) $(cflags) $(cpuflags) -Ow -DNT $(cvars) log.C
